#ifndef LWIVU_OP_H
#define LWIVU_OP_H
#include "operator.h"

class Lwivu_op: public Op {
  public:
    Lwivu_op(Read&,Hess_op&,Wemva_op&,Dso&,int);
   ~Lwivu_op(); 
    void op(int,int,std::vector<float>&,
                    std::vector<float>&);
                                       
  private:

    int nt, nkgx, nx, nh, nkz, nz, n1, n2;
    float lambda;
    Read *par;
    Hess_op *hess_op;
    Wemva_op *wemva_op;
    Dso *dso;
};

#endif
