#ifndef SOLVER_WJREG_H
#define SOLVER_WJREG_H

#include "cgstep.h"

class Solver {
  public:
  ~Solver();
  void solver_wjreg(std::vector<float>&,
                    std::vector<float>&,
           void (Op::*)(int,int,std::vector<float>&,
                                     std::vector<float>&),
           Op&,
           int (Conv::*)(int,int,std::vector<float>&,
                                  std::vector<float>&),
           Conv &,
           int (Step::*)(int&,std::vector<float>&,
                              std::vector<float>&,
                              std::vector<float>&,
                              std::vector<float>&),
           Step&,
           std::vector<float>&,std::vector<float>&,
           std::vector<float>&,std::vector<float>&,
           int,int,float,int,
           std::vector<float>&,std::vector<float>&,
           std::vector<float>&);

  private:
    double RdR, RdR0, RmdRm, gdg, GdG; 
    float epst;
    int forget;
};

#endif
