#ifndef INTERP_PSF_H
#define INTERP_PSF_H

class InterpPsf {
  public:
    InterpPsf(Read&,int);
   ~InterpPsf();
    void op(int,int,std::vector<float>&,std::vector<float>&);
//    void op(int,int,int,std::vector<float>&);

  private:

    int incPSFx, incPSFz;
    int nx, nxE, nz, nzE, nh, nlagx, nlagz, nxc, nzc, npts, n;
    int hmax, dh, first_cdp, last_cdp, pad, zpad;
    float dx, dz;
    float **xz, **paux;
    std::vector<float> m; //, diagH, psf;
    Write out;
    LInt2 lint2;
};

#endif

