#include "lint2.h"
#include "alloc.h"
#include <iostream>

void LInt2::lint2_init(int n1,int n2,float o1_in,float o2_in,
                                     float d1_in,float d2_in) {
  o1=o1_in;
  d1=d1_in;
  o2=o2_in;
  d2=d2_in;
}

void LInt2::lint2(int adj,int add,float **m,float *d,
                  int nm1,int nm2,int nd,float **xy) {
  if(adj == 1){
    if(add == 0) {
      for(int j2=0; j2<nm2; j2++) {
        for(int j1=0; j1<nm1; j1++) m[j2][j1]=0.;
      }
    }
  }
  else {
    if(add == 0) {
      for(int j1=0; j1<nd; j1++) d[j1]=0.;
    }
  }

  for(int jd=0; jd<nd; jd++) {
    float f=(xy[1][jd]-o2)/d2;
    int jm2=f;
    if(jm2 < 0 || jm2 >= nm2-1) continue;
    float fx=f-jm2;
    float gx=1.0-fx;
    f=(xy[0][jd]-o1)/d1;
    int jm1=f;
    if(jm1 < 0 || jm1 >= nm1-1) continue; 
    float fy=f-jm1;
    float gy=1.0-fy;
    if(adj==1) {
      m[jm2][jm1]     += gx*gy*d[jd];
      m[jm2+1][jm1]   += fx*gy*d[jd];
      m[jm2][jm1+1]   += gx*fy*d[jd];
      m[jm2+1][jm1+1] += fx*fy*d[jd];
    }
    else {
      d[jd] += gx*gy*m[jm2][jm1]  +fx*gy*m[jm2+1][jm1]
              +gx*fy*m[jm2][jm1+1]+fx*fy*m[jm2+1][jm1+1];
    }
  }
  

}
