# ifndef NLMOD_H
# define NLMOD_H

class NLMod {
  public:
    void nlmod_init(Read&, WaveProp&);
    void nlmod(Read&,int);

    std::vector<float> dsynt;

  private:
    int use_taper, dipole;
    int nt, nx, nxE, nkgx, nz, nzE, nkz, napL, napR;
    int pad, zpad, pad_extra, datumS, datumR;
    int jsrc1, jsrc2;
    float dt, dx;
    float src_scl1, src_scl2;
    float *Vtop;
    std::vector<float> paux;
    WaveProp *fwd;
    Scale scale;
};

#endif
