#ifndef PARAMMPI_H
#define PARAMMPI_H
#include <vector>
#include <string>

class ParamMPI {
  public:
    int read_num_files(char*);
    void read_history();
    void allocate_vector();
    void read_binary(const char*);
    void write_history(std::string);
    void write_binary(std::vector<float>&,std::string);

    int n1, n2, n3;
    int n, nsize;
    float o1, o2, o3;
    float d1, d2, d3;
    std::vector<float> d;

  private:

};

#endif
