#ifndef WEMVA_OP_H
#define WEMVA_OP_H
#include "operator.h"

class Wemva_op: public Op {
  public:
    Wemva_op(Read&,Wemva&,Wemva&,
             WaveProp&,WaveProp&,WaveProp&,
             Dso&,int);
   ~Wemva_op();
    void op(int,int,std::vector<float>&,
                    std::vector<float>&);
                                       
  private:

    int nkgx, nh, nkz;
    Read *par;
    Wemva *wemva;
    Wemva *wemva_adj;
    Dso *dso;
};

#endif
