#!/bin/tcsh
### first is the common part
###   each node is Quad CPU with Quad core
#PBS -N nlmod2d-8
#PBS -l nodes=1:ppn=16
#PBS -q default
#PBS -V
#PBS -m e
#PBS -j oe
#PBS -e /home/joseph29/cabrales1/Wrk/nlmod2d-8.log
#PBS -o /home/joseph29/cabrales1/Wrk/nlmod2d-8.log
#PBS -d /home/joseph29/cabrales1/Wrk
#

#
cd $PBS_O_WORKDIR
#

echo WORKDIR is: $PBS_O_WORKDIR
sleep 5
echo NodeFile is: $PBS_NODEFILE
echo hostname is: $HOSTNAME

#set TMPDIR=/tmp
#set HOSTFILE=hostfile_${PBS_JOBID}
#echo hostfile is: ${HOSTFILE}
#cat ${PBS_NODEFILE} | sort | uniq > ${HOSTFILE}
#set MIG_PAR_WAZ3D=" pdip=65 oper=ssfpi nvrf=4 nws=32 nxpad_beg=40 nxpad_end=40 nypad_beg=30 nypad_end=30 ntpx=25 ntpy=25 memchk=n "
#image_zmin=10 image_zmax= "



# Final clean up, remove the files at tmp folder.
find /tmp/ -maxdepth 1 -type f -user joseph29 -exec rm {} \;

/home/joseph29/cabrales1/Bin/nlmod2d.x < /home/joseph29/cabrales1/Dat/SigsA_model_resamp_pert.H wavelet_fn=/home/joseph29/cabrales1/Wvt/SigsA_wvt_nl.H par=/home/joseph29/cabrales1/Par/SigsA.par cur_shot=29 > /home/joseph29/cabrales1/Log/SigsA_nlmod_029 nldata=/home/joseph29/cabrales1/Dat/NLData/SigsA_nlmod_029.H snap1=/dev/null snap2=/dev/null snap3=/dev/null 
# Final clean up, remove the files at tmp folder.
find /tmp/ -maxdepth 1 -type f -user joseph29 -exec rm {} \;
