#!/usr/bin/python
import sys
import os
import glob
import sepbase
import re
import subprocess


eq_args_from_cmdline,args = sepbase.parse_args(sys.argv)
path=eq_args_from_cmdline['path']
input_file=eq_args_from_cmdline['input_file']
output_pref=eq_args_from_cmdline['output_pref']
ng2=eq_args_from_cmdline['ng2']
ds2=eq_args_from_cmdline['ds2']
pad=eq_args_from_cmdline['pad']

ngx=int(ng2)
dsx=float(ds2)

listing = glob.glob(path+'*nlmod_*.H')
listing.sort()

proc=subprocess.Popen(['Get < %s parform=n n2' %(input_file)],stdout=subprocess.PIPE,shell=True)
(n2,err)=proc.communicate();
print "n2: %s" %(n2)
nx=int(n2)

proc=subprocess.Popen(['Get < %s parform=n o2' %(input_file)],stdout=subprocess.PIPE,shell=True)
(o2,err)=proc.communicate();
print "o2: %s" %(o2)
ox=float(o2);

proc=subprocess.Popen(['Get < %s parform=n d2' %(input_file)],stdout=subprocess.PIPE,shell=True)
(d2,err)=proc.communicate();
print "d2: %s" %(d2)
dx=float(d2);

for infile in listing:
  shot=re.findall("\d\d\d",infile)
  file_num=shot[0]
  j2=int(file_num)
  min2=ox+(j2-1)*dsx
  max2=ox+(j2-1)*dsx+ngx*dx
  cmd = 'Window < %s min2=%s max2=%s > %s_temp_%s.H ' \
        %(input_file,min2,max2,output_pref,file_num)
  print "Command: " + cmd
  os.system(cmd)
  
seed=2000
pctG=0.9
shot=[]
for infile in listing:
  shot=re.findall("\d\d\d",infile)
  file_num=shot[0]
#  print "Current file is: " + infile 
  cmd = '/data/sep/cabrales/ResearchThreeD/Bin/randomB.x '
  cmd+= 'modelIn=%s_temp_%s.H seed=%s pad=%s pctG=%s modelOut=%s_%s.H' \
        %(output_pref,file_num,seed,pad,pctG, \
          output_pref,file_num)
  print "Command: " + cmd
  os.system(cmd)
  seed+=1

cmd='Rm %s_temp*.H' %(output_pref)
print "Command: " + cmd
os.system(cmd)
