#!/usr/bin/python
import sys,re,os,string
import glob
import sepbase
import subprocess
import sep_python as sep # import sep functions

eq_args_from_cmdline,args = sepbase.parse_args(sys.argv)
input_file=eq_args_from_cmdline['input_file']
output_pref=eq_args_from_cmdline['output_pref']
n=eq_args_from_cmdline['nh']
adj=eq_args_from_cmdline['adj']
bspline=eq_args_from_cmdline['bspline']
zero_file=eq_args_from_cmdline['zero_file']

sepbin=os.environ["SEP"]+"/bin"
nh=int(n)
#cmd = 'Get < %s parform=n n2' %(input_file)
#n2=int(os.system(cmd));

print "Split extended reflectivity from pert. in background" 

if adj == '0':
  if bspline == '0':
    cmd = 'Window < %s n3=%s f3=0 > %s_%s.H' \
          %(input_file,nh,output_pref,1)
    print "Command: " + cmd
    os.system(cmd)
    
    cmd = 'Window < %s n3=1 f3=%s > %s_%s.H' \
          %(input_file,nh,output_pref,2)
    print "Command: " + cmd
    os.system(cmd)
  else:
    stat1,n1_bspline=sep.RunShellCmd("%s/Get parform=no <%s n1_bspline_adj"%(sepbin,zero_file))
    print "n1_bspline: " + n1_bspline
    stat2,n2_bspline=sep.RunShellCmd("%s/Get parform=no <%s n2_bspline_adj"%(sepbin,zero_file))
    print "n2_bspline: " + n2_bspline
    cmd = 'Window < %s n3=%s f3=0 > %s_%s.H' \
          %(input_file,nh,output_pref,1)
    print "Command: " + cmd
    os.system(cmd)
    cmd = 'Window < %s n1=%s f1=0 n2=%s f2=0 n3=1 f3=%s > %s_%s.H' \
          %(input_file,n1_bspline,n2_bspline,nh,output_pref,2)
    print "Command: " + cmd
    os.system(cmd)
else:  
  cmd = 'Window < %s n3=%s f3=0 > %s_%s.H' \
        %(input_file,nh,output_pref,1)
  print "Command: " + cmd
  os.system(cmd)
  
  cmd = 'Window < %s n3=%s f3=%s > %s_%s.H' \
        %(input_file,nh,nh,output_pref,2)
  print "Command: " + cmd
  os.system(cmd)

