#include <vector>
#include <boost/numeric/conversion/cast.hpp>
#include "dot_prodf.h"

double dot_prodf(std::vector<float> &v1, std::vector<float> &v2) {
  double v1dv2=0.;
  for(int jj=0; jj<v1.size(); jj++) {
//    double v1f=(double) v1[jj];
//    double v2f=(double) v2[jj];
    double v1f = boost::numeric_cast<double>(v1[jj]);
    double v2f = boost::numeric_cast<double>(v2[jj]);
    v1dv2+=v1f*v2f;
  }
  return v1dv2;
}

double dot_prodf(std::vector<double> &v1, std::vector<double> &v2) {
  double v1dv2=0.;
  for(int jj=0; jj<v1.size(); jj++) {
//    double v1f=(double) v1[jj];
//    double v2f=(double) v2[jj];
    double v1f = v1[jj];
    double v2f = v2[jj];
    v1dv2+=v1f*v2f;
  }
  return v1dv2;
}
