#include <vector>
#include "matmult.h"

Matmult::Matmult(std::vector<float> &B_in,int doit) {
  if(doit==1) {
    B=&B_in;
  }
}

Matmult::~Matmult() {}

void Matmult::op(int adj,int add,
                 std::vector<float> &m,
                 std::vector<float> &d) {
 
  if(adj==1) {
    if(add==0) {
      for(int jj=0; jj<m.size(); jj++) {
        m[jj]=0.;
      }
    }
    for(int jm=0; jm<m.size(); jm++) {
      for(int jd=0; jd<d.size(); jd++) {
        int jj=jm+jd*m.size();
        m[jm]+=(*B)[jj]*d[jd];
      }
    }
  } 

  else {
    if(add==0) {
      for(int jj=0; jj<d.size(); jj++) {
        d[jj]=0.;
      }
    }
    for(int jm=0; jm<m.size(); jm++) {
      for(int jd=0; jd<d.size(); jd++) {
        int jj=jm+jd*m.size();
        d[jd]+=(*B)[jj]*m[jm];
      }
    }
  } 
}
