#include <vector>
#include "tconv.h"
#include <iostream>

void Conv::tconv_init(std::vector<float>& bc_in) {
  bc=bc_in.data();
  nbc=bc_in.size();
}

int Conv::tconv(int adj,int add,std::vector<float> &m,
                                std::vector<float> &d) {
  int stat;
  int nd=m.size()+nbc;
  if(adj == 1) {
    if(add == 0) {
      for(int jj=0; jj<m.size(); jj++)
        m[jj] = 0; 
    }
  else
    if(add == 0) {
      for(int jj=0; jj<d.size(); jj++)
        d[jj] = 0; 
    }
  }
  for(int ib=0; ib<nbc; ib++) {
    for(int im=0; im<m.size(); im++) {
      int id=im+ib;
      if(adj == 1) {
        m[im]+=bc[ib]*d[id];
      }
      else {
        d[id]+=bc[ib]*m[im];
      }
    }
  }
  stat=0;
  return stat;
}
