#ifndef SPLINE_H
#define SPLINE_H

class Spline {
  public:
    void base_spln1d_init(Axis,Axis);
    void base_spln2d_init(Axis,Axis,Axis,Axis);
    void base_spln3d_init(Axis,Axis,Axis,Axis,Axis,Axis);
    void base_spln1d(int,int,std::vector<float>&,std::vector<float>&);
    void base_spln2d(int,int,std::vector<float>&,std::vector<float>&);
    void base_spln3d(int,int,std::vector<float>&,std::vector<float>&);

  private:
    float spline(float,float);
    Axis axd, axk, ayd, ayk, azd, azk;
};

#endif
