#ifndef BORN_OP_H
#define BORN_OP_H
#include "operator.h"

class Born_op: public Op {
  public:
    Born_op(Read&,Rtm&,Born&,WaveProp&,WaveProp&,WaveProp&);
   ~Born_op(); 
    void op(int,int,std::vector<float>&,
                    std::vector<float>&);
                                       
  private:
    int nt, nkgx, nx, nh, hmax, nkz, nz, eic;
    Read *par;
    Born *born;
    Rtm *rtm;
};

#endif
