#ifndef GRAD_H
#define GRAD_H
#include <vector>
class Grad {
  public:
    void grad_init(Read);
    void gradx(std::vector<float>&,
              std::vector<float>&,int);
    void gradz(std::vector<float>&,
              std::vector<float>&,int);
    
  private:
    void fddx(std::vector<float>&,int);
    void fddz(std::vector<float>&,int);

    int nkgx, nkgxEx, nkz, nkzEx;
    const int buff=6;
    float dx, dz, fx;
    float c1, c2, c3, c4, c5, c6;
    float b1x, b2x, b3x, b4x, b5x, b6x;
    float b1z, b2z, b3z, b4z, b5z, b6z;
    std::vector<float> paux1, paux2, paux3, paux4;
    std::vector<float> dpx_cur, dpz_cur;
};

#endif
