#include "interp1d.h"
#include <iostream>
#include <vector>

void interp1d(int adj,int add,std::vector<float> &m,std::vector<float> &d,int n) {
  if(adj == 1) {
    if(add == 0) 
      for(int j1=0; j1<n; j1++) m[j1]=0.0;
  }
  else {
    if(add == 0) 
      for(int j1=0; j1<n; j1++) d[j1]=0.0;
  }
  float fx=0.5;
  float gx=0.5;
  if(adj==1) {
    for(int jd=0; jd<n; jd++) {
      int jm=jd;
      if(jm > 0 && jm <= n-1) {
          m[jm-1] += gx*d[jd];
          m[jm]   += fx*d[jd];
        } 
    }
  }
  else {
    for(int jd=0; jd<n; jd++) {
      int jm=jd;
      if(jm > 0 && jm <= n-1)
        d[jd] += gx*m[jm-1]+fx*m[jm];
    }
  }
}
