#ifndef PROP_FWD_H
#define PROP_FWD_H

class PropFwd {
  public:
    void prop_fwd_init(Read);
//    void lap_init();
//    void lap(float***, int); 
//    void grad_init();
//    void grad();
    void init_src_wavefields();
    void fwd_prop(int);  

    int shot_pos;
    float **Vshot;
    float **pftm1,   **pftm2,   **pft;
    float **dpftm1,  **dpftm2,  **dpft;
    float **d2pftm1, **d2pftm2, **d2pft;
    float **pftX, **pftZ;

  protected:
//    void d2dxz(float**);
//    void fddx(float**);
//    void fddz(float**);

    const int buff=5;
    int nt, ntSnap, nx, nkgx, nh, nz, nkz, napL, napR;
    int dh, first_cdp, last_cdp, pad, zpad;
    float dt, dx, dz, fx;
    float dt1, dt2, dt3, dt4;
    float c0, c1, c2, c3, c4, c5, c6;
    float a0;
    float a0x, a1x, a2x, a3x, a4x, a5x;
    float a0z, a1z, a2z, a3z, a4z, a5z;
    float b1x, b2x, b3x, b4x, b5x, b6x;
    float b1z, b2z, b3z, b4z, b5z, b6z;
    float **Vel2, **dpxz_cur, **dpx_cur, **dpz_cur;
    float ***dpxz;
    Read par;

  private:
    Lap lap;
};

#endif
