#include <vector>
#include "src_rcv_int.h"

void interp(int fact,
            std::vector<float> &sdat,
            std::vector<float> &sint,int adj) {
  if(adj==1) {
    for(int jt=0; jt<sdat.size(); jt++) sdat[jt] = 0.0;
  }
  else {
    for(int jt=0; jt<sint.size(); jt++) sint[jt] = 0.0;
  }
  for(int j0=0; j0<sdat.size()-1; j0++) {
    for(int j1=0; j1<fact; j1++) {
      float ft = (float)(j1)/((float)(fact));
      if(adj==1) {
        sdat[j0]   = (1.0-ft)*sint[j1+j0*fact];
        sdat[j0+1] =      ft *sint[j1+j0*fact];
      }
      else
        sint[j1+j0*fact] = (1.0-ft)*sdat[j0]+
                                ft *sdat[j0+1];
    }
  }
}

