#ifndef WAVE_PROP_H
#define WAVE_PROP_H
#include <vector>

class WaveProp {
  public:
    void prop_init(Read);
    void init_wavefields();
    void prop(int);  

    std::vector<float> Vshot, Vel2;
    std::vector<float> pm1, pm2, p;
//    std::vector<float> dpm1, dpm2, dp;
//    std::vector<float> d2pm1, d2pm2, d2p;
//    std::vector<float> pX, pZ;

  private:

    int nkgx, nkgxEx, nkz, nkzEx;
    const int buff=5, TX=1;
    float c0, c1, c2, c3, c4, c5, c6;
    float *ax, *az;
    std::vector<float> dpcur;
    Read par;
};

#endif
