#!/usr/bin/python
import sys
import os
import sepbase

eq_args_from_cmdline,args = sepbase.parse_args(sys.argv)
input_file1=eq_args_from_cmdline['input_file1']
input_file2=eq_args_from_cmdline['input_file2']
output_file=eq_args_from_cmdline['output_file']
lamb=eq_args_from_cmdline['lambda']
adj=eq_args_from_cmdline['adj']
add=eq_args_from_cmdline['add']

print "adj: %s" %(adj)
axis=int(2)
if adj == '0': # Perform file1-file2, and concatenate the result with file2
  cmd = 'Math file1=%s file2=%s exp=\'file1-file2\' out=temp1.H@  > temp1.H' %(input_file1,input_file2) 
  print "Command: " + cmd
  os.system(cmd)
  cmd = '/usr/local/SEP/bin/Cat3d temp1.H %s axis=3 > %s' %(input_file2,output_file)
  print "Command: " + cmd
  os.system(cmd)
  cmd = 'Rm temp1.H'
  print "Command: " + cmd
  os.system(cmd)

else:
  if add == '1': # -file1-lamb^2*file2
    cmd = 'Math file1=%s file2=%s exp=\'-1.*file1-1.*file2*%s*%s\' out=%s@ > %s' %(input_file1,input_file2,lamb,lamb,output_file,output_file) 
    print "Command: " + cmd
    os.system(cmd)
  else: # Concatenate file1 and file2
    cmd = '/usr/local/SEP/bin/Cat3d %s %s axis=3 > %s' %(input_file1,input_file2,output_file)
    print "Command: " + cmd
    os.system(cmd)
    cmd = 'echo "o3=1 d3=1" >> %s' %(output_file)
    print "Command: " + cmd
    os.system(cmd)

