#!/usr/bin/python
import sys
import os
import sepbase

eq_args_from_cmdline,args = sepbase.parse_args(sys.argv)
input_file1=eq_args_from_cmdline['input_file1']
input_file2=eq_args_from_cmdline['input_file2']
input_file3=eq_args_from_cmdline['input_file3']
output_file=eq_args_from_cmdline['output_file']
lamb=eq_args_from_cmdline['lambda']
adj=eq_args_from_cmdline['adj']
add=eq_args_from_cmdline['add']

print "adj: %s" %(adj)
axis=int(2)
if adj == '0': # Perform file1-file2, and concatenate the result with file2
#  if add == '1': # -file1+lamb^2*file2
  cmd = 'Math file1=%s file2=%s exp=\'file1-file2\' out=temp1.H@ > temp1.H' %(input_file1,input_file2) 
  print "Command: " + cmd
  os.system(cmd)
#  else: # Concatenate file1 and lambda*file2
  cmd = 'Math file1=%s exp=\'file1*%s\' out=temp2.H@ > temp2.H' %(input_file3,lamb)
  print "Command: " + cmd
  os.system(cmd)
  cmd = '/usr/local/SEP/bin/Cat3d temp1.H temp2.H axis=3 > %s' %(output_file)
  print "Command: " + cmd
  os.system(cmd)
  cmd = 'Rm temp1.H temp2.H'
  print "Command: " + cmd
  os.system(cmd)

else:
  if add == '1': # -file1+lamb*file2
    cmd = 'Math file1=%s file2=%s exp=\'-1.*file1+file2*%s\' out=%s@ > %s' %(input_file1,input_file2,lamb,output_file,output_file) 
    print "Command: " + cmd
    os.system(cmd)
  else: # Concatenate file1 and file2
    cmd = '/usr/local/SEP/bin/Cat3d %s %s axis=3 > %s' %(input_file1,input_file2,output_file)
    print "Command: " + cmd
    os.system(cmd)

