#!/usr/bin/python
import sys
import os
import glob
import sepbase
import re
import subprocess

eq_args_from_cmdline,args = sepbase.parse_args(sys.argv)
input_file=eq_args_from_cmdline['input_file']
output_file=eq_args_from_cmdline['output_file']

proc=subprocess.Popen(['Get < %s parform=n n3' %(input_file)],stdout=subprocess.PIPE,shell=True)
(n3,err)=proc.communicate();
print "n3: %s" %(n3)

cmd = 'Pad < %s extend=0 beg3=1 | Window f3=0 n3=%s > temp.H' %(input_file,int(n3))
print "Command: " + cmd
os.system(cmd)

cmd = 'Add scale=1.,-1. %s temp.H > %s' %(input_file,output_file)
print "Command: " + cmd
os.system(cmd)

cmd = 'Rm temp.H'
print "Command: " + cmd
os.system(cmd)
