# XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
#
#   PROGRAM THAT DOES A RECURSIVE ADD
#
# XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


#!/usr/local/bin/python
import sys
import os
import math
import commands

# Read the inputs
if len(sys.argv) < 2:
    print('Error: Not enough input args')
    sys.exit()
binpath = sys.argv[1]
outputFileName = sys.argv[2]
# inputfiles = sys.argv[3:len(sys.argv)]
lsSearchTerm = sys.argv[3]


# Search for the files using the ls argument. We do this because python has a limit on the number of input arguments. This varies with the OS you're using.
searchForFiles="ls %s" % (lsSearchTerm)
junk,out1=commands.getstatusoutput(searchForFiles)
inputfiles = out1.split()


# Initialize
k=1
working=" "
outfile='tmp%d.h' % (k)
oldoutfile='tmp%d.h' % (k-1)
inputs="file1=%s file2=%s file3=%s " % (inputfiles[0],inputfiles[1],inputfiles[2])


# Run the main loop
while (True):
    cmd1 = "%s/ADD.x %s > %s" % (binpath,inputs,outfile)
    cmd2 = "rm -f %s" % (oldoutfile) # Removes the working file to keep the scrach space from filling up
    cmd = "%s; %s" % (cmd1,cmd2)
    print(cmd1)
    commands.getoutput(cmd1)

    k=k+1
    outfile='tmp%d.h' % (k)
    oldoutfile='tmp%d.h' % (k-1)

    if ((2*k+1)>(len(inputfiles))):
        working=oldoutfile
        break

    working=oldoutfile
    inputs="file1=%s file2=%s file3=%s " % (working,inputfiles[2*k-1],inputfiles[2*k])


# Add last file if odd number of files
if ((2*k)==len(inputfiles)):
    print("=====================================================")
    inputs="file1=%s file2=%s " % (working,inputfiles[2*k-1])
    cmd1 = "%s/ADD.x %s > %s" % (binpath,inputs,outfile)
    cmd2 = "rm -f %s" % (oldoutfile)
    cmd = "%s; %s" % (cmd1,cmd2)
    print(cmd)
    commands.getoutput(cmd)


# Write to output filename
cmd= "Cp %s %s" % (working,outputFileName)
print(cmd)
commands.getoutput(cmd)
