#!/usr/bin/python
import sys
import os
import glob
import sepbase
import re
import subprocess
import sep_python as sep # import sep functions

eq_args_from_cmdline,args = sepbase.parse_args(sys.argv)
input_file=eq_args_from_cmdline['input_file']
output_pref=eq_args_from_cmdline['output_pref']
nfiles=eq_args_from_cmdline['nfiles']
path=eq_args_from_cmdline['path']

#cmd = 'Get < %s parform=n n2' %(input_file)
#n2=int(os.system(cmd));
listing = glob.glob(path+'*nlmod_???.H')
listing.sort()


if nfiles=='0':
  nshots=len(listing)
  print "Number of shots to be split: %s" %(nshots)
  proc=subprocess.Popen(['Get < %s parform=n n3' %(input_file)],stdout=subprocess.PIPE,shell=True)
  (n3,err)=proc.communicate();
  print "n3: %s" %(n3)
  
  j=0
  for infile in listing:
    shot=re.findall("\d\d\d",infile)
    file_num=shot[0]
    cmd = 'Window < %s min3=%s max3=%s > %s_%s.H' \
          %(input_file,j,j,output_pref,file_num)
    print "Command: " + cmd
    j+=1 
    os.system(cmd)
else:
  nshots=nfiles
  print "Number of files to be split: %s" %(nshots)

  j=0
  for file_no in range(0,int(nshots)):
    file_num=j+1
    cmd = 'Window < %s min3=%s max3=%s > %s_%s.H' \
          %(input_file,j+1,j+1,output_pref,file_num)
    print "Command: " + cmd
    j+=1
    os.system(cmd)
  
